%CQ.m
function S=CQ(I,J)
% CQ(I,J) retruns the correlation quality between the images I and J.
% The CQ value is useful to quantitize the distortions on an image.

if (size(I)~=size(J))
   error('Las imagenes deben tener el mismo tamao')
end
if (~isrgb(I) & ~isrgb(J))
   [m n] = size(I);
   A=double(I);
   B=double(J);
   sumaI=0;
   sumaProd=0;
   for u=1:m
      for v=1:n
         sumaProd = sumaProd + A(u,v)*B(u,v);
         sumaI=sumaI+A(u,v);
      end
   end
   if (sumaI==0) 
      sumaI=0.0000000001;
   end
   S=sumaProd/sumaI;
else 
   error('Las imagenes no pueden ser en color')
end
